Skip to main content
PUT
/
v1
/
account-groupings
/
{accountGroupingId}
Update Account Grouping
curl --request PUT \
  --url https://{tenant}.mindbridge.ai/api/v1/account-groupings/{accountGroupingId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": 123,
  "name": {},
  "archived": true
}
'
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "name": {},
  "codeDisplayName": {},
  "delimiter": "<string>",
  "mac": true,
  "system": true,
  "archived": true,
  "publishedDate": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

accountGroupingId
string
required

Body

application/json
version
integer<int64>

The data integrity version, to ensure data consistency.

name
object

The name of the account grouping.

archived
boolean

When true, the account grouping is archived.

publishStatus
enum<string>

The current status of the account grouping.

Available options:
DRAFT,
UNPUBLISHED_CHANGES,
PUBLISHED

Response

200 - application/json

OK

id
string

The unique object identifier.

version
integer<int64>

The data integrity version, to ensure data consistency.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

name
object

The name of the account grouping.

codeDisplayName
object

The name of the account code hierarchy system used within the dataset.

delimiter
string

The delimiter character used to separate each category level in an account grouping code.

mac
boolean

When true, the account grouping is based on the MAC code system.

system
boolean

When true, the account grouping is a system account grouping and cannot be modified.

archived
boolean

When true, the account grouping is archived.

publishedDate
string<date-time>

The date that the account grouping was published.

publishStatus
enum<string>

The current status of the account grouping.

Available options:
DRAFT,
UNPUBLISHED_CHANGES,
PUBLISHED